Package org.jfree.report.modules.factories.data.sql

# Class ConfigReadHandler

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
org.jfree.report.modules.factories.data.sql.ConfigReadHandler

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`

public class ConfigReadHandler extends org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
Creation-Date: 07.04.2006, 18:35:57

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`ConfigReadHandler()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObject()`
Returns the object for this element or null, if this element does not create an object.
`Boolean`
`isLabelMapping()`
`protected void`
`startParsing(Attributes attrs)`
Starts parsing.

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

`characters, deriveParseParameters, doneParsing, endElement, getHandlerForChild, getLocator, getRootHandler, getTagName, getUri, init, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigReadHandler

public ConfigReadHandler()

## Method Details

### startParsing

protected void startParsing(Attributes attrs) throws SAXException
Starts parsing.

Overrides:
  `startParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Parameters:
  `attrs` - the attributes.
Throws:
  `SAXException` - if there is a parsing error.

### isLabelMapping

public Boolean isLabelMapping()

### getObject

public Object getObject() throws SAXException
Returns the object for this element or null, if this element does not create an object.

Returns:
  the object.
Throws:
  `SAXException` - if there is a parsing error.